# Un clasificador usando árboles
import numpy as np
from sklearn import model_selection
from sklearn import tree
from sklearn import metrics

# Cargamos los datos 
X = np.loadtxt( "X.txt" ) 
y = np.loadtxt( "y.txt" ) 

# Separamos los datos de entrenamiento y de prueba
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X, y, test_size = 0.2, random_state = 20 )
# np.savetxt( "Xprueba.txt", Xprueba )
# np.savetxt( "yprueba.txt", yprueba )
n = sum( yentrena )
print( "Clase 0 = ", len( yentrena )-n )
print( "Clase 1 = ", n )

# Se usa el modelo de Bayes ingenuo 
arbol = tree.DecisionTreeClassifier()
arbol.fit(Xentrena, yentrena)

ypredichas = arbol.predict(Xentrena)
exactitud = metrics.accuracy_score( yentrena, ypredichas )
print( "Entrenamiento:", exactitud )

ypredichas = arbol.predict( Xprueba )
e = metrics.accuracy_score( yprueba, ypredichas )
print( "Prueba:", e )

a = tree.export_text( arbol, feature_names=['Carac. 1', 'Carac. 2'], max_depth=10, spacing=3, decimals=2, show_weights=True)
print( a )
