import numpy as np
from sklearn import model_selection
from sklearn.naive_bayes import GaussianNB
from sklearn import metrics

# Cargamos los datos 
X = np.loadtxt( "X.txt" ) 
y = np.loadtxt( "y.txt" ) 

# Separamos los datos de entrenamiento y de prueba
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X, y, test_size = 0.2, random_state = 20 )
np.savetxt( "Xprueba.txt", Xprueba )
np.savetxt( "yprueba.txt", yprueba )

# Se usa el modelo de Bayes ingenuo 
gnb = GaussianNB()
gnb.fit(Xentrena, yentrena)

ypredichas = gnb.predict(Xentrena)
exactitud = metrics.accuracy_score( yentrena, ypredichas )
print( "Entrenamiento:", exactitud )

ypredichas = gnb.predict( Xprueba )
e = metrics.accuracy_score( yprueba, ypredichas )
print( "Prueba:", e )

print( gnb.classes_ )
print( gnb.class_prior_ )
print( gnb.class_count_ )
print( gnb.theta_ )
print( gnb.sigma_ )
print( gnb.epsilon_ )
